Package Details: python-cx_oracle 5.1.3-2

Git Clone URL: (read-only)
Package Base: python-cx_oracle
Description: Python extension module that allows access to Oracle databases
Upstream URL:
Licenses: python
Submitter: kornerr
Maintainer: soul_rebel
Last Packager: soul_rebel
Votes: 4
Popularity: 0.575716
First Submitted: 2012-07-16 10:55
Last Updated: 2015-06-08 19:41

Latest Comments

soul_rebel commented on 2015-02-07 08:35

try now

freaks commented on 2015-02-04 16:17


i have this error when i try to compile
==> ERROR: Missing package() function in /data/build/python2-cx_oracle/btmp/PKGBUILD[/code]
and the package function is missing ...

can you update the package ?


soul_rebel commented on 2014-09-13 06:25

I updated the PKGBUILD so that it compiles the latest version, that works for me with sdk version 12.x.

This is my first aur upload. If anyone cares to do better I will gladly yield mantainership, otherwise I'll try this role for a while.

kornerr commented on 2014-05-13 12:19

I decided to disown the package, because I no longer use cx_Oracle at work.
As for 12 support, it won't hurt to patch cx_Oracle to support the latest version.

psi.neamf commented on 2014-05-13 09:33

Lol, never got a notification and clearly didn't think about checking for replies after I fixed my problem, until now.

For other users who are trying to build this: cx_oracle does not build against version 12 of oracle-instantclient. The aur packages for oracle-instantclient-basic and oracle-instantclient-sdk (both are required for this package to build as the sdk depends on basic) can be modified to point to version Then this package will build.

Ideally cx_oracle neeeds to be updated upstream.

kornerr commented on 2013-10-17 12:38

So, it's not the package's fault, right?

psi.neamf commented on 2013-10-17 09:44

Ah, the oracle packages are vesion 12g.
cx_Oracle appears to be looking for 11g as highest vesion number.

psi.neamf commented on 2013-10-17 09:34


I can't seem to build this :-|

==> Starting build()...
Traceback (most recent call last):
File "", line 126, in <module>
raise DistutilsSetupError(messageFormat % userOracleHome)
distutils.errors.DistutilsSetupError: Oracle home (/usr) does not refer to an 9i, 10g or 11g installation.

I have oracle-instantclient-basic and oracle-instantclient-sdk installed.

Any ideas? Thx.

kornerr commented on 2012-07-17 03:31

The cx_oracle comments and voices has been moved to here. Thanks to Daniel.

kornerr commented on 2012-07-16 11:06

NOTE TO USERS: DO NOT USE THIS PACKAGE. USE NEW PACKAGES: python-cx_oracle and python2-cx_oracle.

All comments